# class TempObjectCounter | Ephemeral object counter changer. More...
Full name | `TelEngine::TempObjectCounter`
Definition | `#include <yateclass.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline TempObjectCounter (NamedCounter* counter, bool enable = GenObject::getObjCounting())
- inline TempObjectCounter (const GenObject* obj, bool enable = GenObject::getObjCounting())
- inline TempObjectCounter (const GenObject& obj, bool enable = GenObject::getObjCounting())
- inline ~TempObjectCounter ()

## Detailed Description

This class changes the current thread's object counter for its lifetime

inline TempObjectCounter (NamedCounter* counter, bool enable = GenObject::getObjCounting()) | ### TempObjectCounter

Constructor, changes object counter if counting is enabled

Parameters:

counter | Object counter to apply on the current thread
enable | True to enable change, false to take no action

inline TempObjectCounter (const GenObject* obj, bool enable = GenObject::getObjCounting()) | ### TempObjectCounter

Constructor, changes object counter if counting is enabled

Parameters:

obj | Object to copy the counter from
enable | True to enable change, false to take no action

inline TempObjectCounter (const GenObject& obj, bool enable = GenObject::getObjCounting()) | ### TempObjectCounter

Constructor, changes object counter if counting is enabled

Parameters:

obj | Object to copy the counter from
enable | True to enable change, false to take no action

inline ~TempObjectCounter () | ### ~TempObjectCounter

Destructor, restores saved object counter

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.